Bug 729242 - devel Makefile - /selinux has moved
Summary: devel Makefile - /selinux has moved
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 08:36 UTC by Mads Kiilerich
Modified: 2011-09-13 06:08 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.10.0-25.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 06:08:05 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-08-09 08:36:24 UTC
# make -f /usr/share/selinux/devel/Makefile foo.pp
cat: /selinux/mls: No such file or directory
make: `foo.pp' is up to date.

# grep /selinux/mls /usr/share/selinux/devel/Makefile
MLSENABLED := $(shell cat /selinux/mls)

# rpm -qf /usr/share/selinux/devel/Makefile
selinux-policy-3.10.0-15.fc16.noarch

- but I wonder why it looks at the running SE configuration at module "compile" time. It seems like that would do the wrong when run in a chroot (which I do). I would expect it to look at the configuration in /etc/selinux/config instead.

(seen when testing a patch for bug 728576)

Comment 1 Mads Kiilerich 2011-08-18 14:16:58 UTC
It seems like this has been fixed in selinux-policy-3.10.0-18.fc16.noarch with

MLSENABLED := $(shell python -c "import selinux; print(selinux.is_selinux_mls_enabled())")

There is no explicit dependency to libselinux-python (and thus Python). Are there sufficient implicit dependencies - and are they sufficiently stable?

Comment 2 Daniel Walsh 2011-08-30 09:50:29 UTC
I have changed it to just hard code the one and allow a developer to override it.  No python used any longer.  Since all Red Hat/Fedora releases use the flag, we should just ship it with our default and not worry about someone installing some random non default policy.


Fixed in selinux-policy-3.10.0-22.fc16

Comment 3 Fedora Update System 2011-09-08 08:04:46 UTC
selinux-policy-3.10.0-25.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16

Comment 4 Fedora Update System 2011-09-08 20:51:07 UTC
Package selinux-policy-3.10.0-25.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-25.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-13 06:07:29 UTC
selinux-policy-3.10.0-25.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.